> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Update account connection

> Updates mutable connection fields. Currently supports renaming only.



## OpenAPI

````yaml /api-reference/data-api.json patch /v2/account-connections/{id}
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v2/account-connections/{id}:
    patch:
      tags:
        - Account Connections
      summary: Update account connection
      description: Updates mutable connection fields. Currently supports renaming only.
      operationId: updateConnection
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAccountConnectionDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountConnectionDto'
components:
  schemas:
    UpdateAccountConnectionDto:
      type: object
      properties:
        name:
          type: string
          example: My Kraken Trading Account
      required:
        - name
    AccountConnectionDto:
      type: object
      properties:
        id:
          type: string
          example: conn_abc123
        name:
          type: string
          example: My Utila Account
        type:
          type: string
          example: utila
          enum:
            - utila
            - kraken
            - plaid
            - squads
            - coinbase
            - realms
            - wise
            - safe
            - hyperliquid
            - cubist
            - privy
        public_data:
          type: object
          description: Non-sensitive public metadata
          additionalProperties: true
          example:
            public_key: pk_abc123
        created_at:
          format: date-time
          type: string
          example: '2026-01-01T00:00:00.000Z'
        updated_at:
          format: date-time
          type: string
          example: '2026-01-01T00:00:00.000Z'
      required:
        - id
        - name
        - type
        - public_data
        - created_at
        - updated_at
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````